### Edito Dummy example

This vanilla workflow contains a preliminary series of empty steps to be used for development and testing in conjunction with [Autosubmit4](https://earth.bsc.es/gitlab/es/autosubmit).

#### Current hierarchy and list of steps:
* ONCE
  * local_setup
  * synchronize
  * remote_setup
* STARTDATE
  * MEMBER
    * ini
    * CHUNK 
      * sim
* ONCE
  * post
  * clean  

Each step contains a very short description of its main purpose.

The workflow has been successfully tested in MareNostrum4

#### Example configuration

##### JOBS

```yaml
JOBS:
  LOCAL_SETUP:
    FILE: templates/local_setup.sh
    PLATFORM: LOCAL
    RUNNING: once
  SYNCHRONIZE:
    FILE: templates/synchronize.sh
    PLATFORM: LOCAL
    DEPENDENCIES: LOCAL_SETUP
    RUNNING: once
  REMOTE_SETUP:
    FILE: templates/remote_setup.sh
    DEPENDENCIES: SYNCHRONIZE
    WALLCLOCK: '00:05'
    RUNNING: once
  INI:
    FILE: templates/ini.sh
    DEPENDENCIES: REMOTE_SETUP
    RUNNING: member
    WALLCLOCK: '00:05'
  SIM:
    FILE: templates/sim.sh
    DEPENDENCIES: INI SIM-1
    RUNNING: chunk
    WALLCLOCK: '00:05'
  POST:
    FILE: templates/post.sh
    DEPENDENCIES: SIM
    RUNNING: chunk
    WALLCLOCK: '00:05'
  CLEAN:
    FILE: templates/clean.sh
    DEPENDENCIES: POST
    RUNNING: chunk
    WALLCLOCK: '00:05'
```

##### PLATFORM

```yaml
Platforms:
  marenostrum4:
    TYPE: "slurm"
    HOST: "mn1.bsc.es"
    PROJECT: "bsc32"
    USER: "bsc32xxx"
    QUEUE: "debug"
    SCRATCH_DIR: "/gpfs/scratch"
    ADD_PROJECT_TO_HOST: False
    MAX_WALLCLOCK: '48:00'
```
