#!/bin/bash
#
# This step is in charge of syncing the workflow project with the remote platform

set -xuve

HPCROOTDIR=%HPCROOTDIR%
ROOTDIR=%ROOTDIR%
HPCUSER=%HPCUSER%
HPCHOST=%HPCHOST%
PROJDEST=%PROJECT.PROJECT_DESTINATION%

#####################################################
# Synchronizes file or directory to remote
# Globals:
# Arguments:
#   Remote user
#   Target host
#   Source file or directory
#   Target directory
#####################################################
#function rsync_to_remote(){
#  echo "rsyncing the dir to the target platform"
#  USR=$1
#  HOST=$2
#  SOURCE=$3
#  DIR=$4

#  scp -avp "${SOURCE}" "${USR}"@"${HOST}":"${DIR}"/
#}
function scp_to_remote(){
  echo "Copying the dir to the target platform"
  USR=$1
  HOST=$2
  SOURCE=$3
  DIR=$4
  ssh ${USR}@${HOST} "mkdir -p ${DIR}" &&
  scp "${SOURCE}" "${USR}"@"${HOST}":"${DIR}"/"${SOURCE}"
}

cd ${ROOTDIR}/proj

# If the tar was already sent, we assume that we can update only the changed files in the project
# The workflow will send the tarball again if the workflow starts over from LOCAL_SETUP
if [ ! -f flag_tarball_sent ]; then
  #rsync_to_remote ${HPCUSER} ${HPCHOST} ${PROJDEST}.tar.gz ${HPCROOTDIR}
  scp_to_remote ${HPCUSER} ${HPCHOST} ${PROJDEST}.tar.gz ${HPCROOTDIR}
  rm ${PROJDEST}.tar.gz
  touch flag_tarball_sent
else
  #rsync_to_remote ${HPCUSER} ${HPCHOST} ${PROJDEST} ${HPCROOTDIR}
  scp_to_remote ${HPCUSER} ${HPCHOST} ${PROJDEST}.tar.gz ${HPCROOTDIR}
fi